//+------------------------------------------------------------------+
//|                                               Control_OCO_EA.mq5 |
//|                                           Copyright 2014, denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, denkir"
#property link      "https://login.mql5.com/ru/users/denkir"
#property version   "1.00"
//---
#include "CiOcoObject.mqh"
//+------------------------------------------------------------------+
//| Inputs                                                           |
//+------------------------------------------------------------------+
sinput string Info_order1="+===-- 1--====+";   // +===-- 1--====+
input ENUM_PENDING_ORDER_TYPE InpOrder1Type=PENDING_ORDER_TYPE_SELL_STOP_LIMIT; // 
input double InpOrder1Volume=0.02;                  // 
input uint InpOrder1PriceOffset=500;                //    , 
input uint InpOrder1LimitOffset=300;                //    , 
input uint InpOrder1SL=500;                         // -, 
input uint InpOrder1TP=0;                           // , 
input string InpOrder1Comment="OCO Order 1";        // 
//---
sinput string Info_order2="+===-- 2--====+";   // +===-- 2--====+
input ENUM_PENDING_ORDER_TYPE InpOrder2Type=PENDING_ORDER_TYPE_BUY_LIMIT; // 
input double InpOrder2Volume=0.02;                  //     
input uint InpOrder2PriceOffset=500;                //    , 
input uint InpOrder2LimitOffset=300;                //    , 
input uint InpOrder2SL=0;                           // -, 
input uint InpOrder2TP=0;                           // , 
input string InpOrder2Comment="OCO Order 2";        // 

//--- globals
CiOcoObject myOco;
SOrderProperties gOrdersProps[2];
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
///--- 1- 
   gOrdersProps[0].order_type=InpOrder1Type;
   gOrdersProps[0].volume=InpOrder1Volume;
   gOrdersProps[0].price_offset=InpOrder1PriceOffset;
   gOrdersProps[0].limit_offset=InpOrder1LimitOffset;
   gOrdersProps[0].sl=InpOrder1SL;
   gOrdersProps[0].tp=InpOrder1TP;
   gOrdersProps[0].comment=InpOrder1Comment;
//--- 2- 
   gOrdersProps[1].order_type=InpOrder2Type;
   gOrdersProps[1].volume=InpOrder2Volume;
   gOrdersProps[1].price_offset=InpOrder2PriceOffset;
   gOrdersProps[1].limit_offset=InpOrder2LimitOffset;
   gOrdersProps[1].sl=InpOrder2SL;
   gOrdersProps[1].tp=InpOrder2TP;
   gOrdersProps[1].comment=InpOrder2Comment;
//---  -
   if(myOco.Init(gOrdersProps))
     {
      PrintFormat("Id  -: %I32u",myOco.Id());
      //---
      return INIT_SUCCEEDED;
     }
   else
     {
      Print("  -!");
      //---
      return INIT_FAILED;
     }
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
  }
//+------------------------------------------------------------------+
//| Trade function                                                   |
//+------------------------------------------------------------------+
void OnTrade()
  {
//---  -
   if(myOco.Deinit())
     {
      Print("   !");
      //---  
      CiOcoObject new_oco;
      myOco=new_oco;
     }
  }
//+------------------------------------------------------------------+
